body{
	padding:0px;
	margin:0px;
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
	background: -webkit-linear-gradient(bottom left, rgba(38,41,55,1) 0%, rgba(71,76,97,1) 100%) fixed;
	overflow:hidden;
}
/*
 *  scrolls
 */



::-webkit-scrollbar {width: 5px; }
::-webkit-scrollbar-thumb
{
	background-color: rgba(255,255,255,0.05);
	border-radius: 20px;
}


/**/

.ui-tooltip {
	position:absolute;
	padding: 3px 10px;
	color: black;
	background-color: rgba(255,255,0,0.75);
	font: bold 12px "Helvetica Neue", Sans-Serif;
}


*:focus {outline:0;}


.disabled, .disabled:hover{
	opacity: 0.2;
	cursor: not-allowed;
}

.disabled *, .disabled:hover *{
	cursor: not-allowed;
}


.close, button.close{
	border:0px;
	padding:0px;
	position: relative;
	right: -3px;
	float:right;
	text-align: center;
	top:-3px;
	background-color: rgba(0,0,0,0.3);
	border-radius: 100%;
	width:20px;
	height:20px;
	opacity: 0;
	transition: all 100ms linear;
	cursor: pointer;
	margin-bottom:-20px;
	transform:scale(0);
}

.close img{
	width: 10px;
}


.closable:hover .close, .closable:hover button.close{
	opacity: 1;
	transform:scale(1);
}

h2{
	font-size:20px;
	letter-spacing: 2px;
	color: #FFF;
	font-weight: 100;
}

.wapper{
	position:absolute;
	width:100%;
	height:100%;
	min-width: 1280px;
	/*top:1%;*/
}

.btn-connexions{
	transform: rotate(-90deg);
    position: fixed;
    left: -49.3%;
    width: 100%;
    top: 50%;
	z-index: 2000;
	color: white;
    -webkit-appearance: none;
    border: 0px;
    background: #3D4158;
    cursor: pointer;
    border-radius: 3px;
    padding: 5px;
    display:none;
}

/*MENU TOP*/

.menu-top{
	z-index: 100000;
	display: block;
    position: fixed;
    top: 0;
    left: 4%;
    width: 96%;
    height: 65px;
    background: -webkit-linear-gradient(bottom left, rgba(38,41,55,0.9) 0%, rgba(71,76,97,0.9) 100%) fixed;
}

.menu-top h2{
	/*width:49%;*/
	display:inline-block;
}
.menu-top-btn-group{
	width: 43%;
    z-index: 9;
    padding: 0px 0% 0% 1%;
    display: inline-block;
    text-align: left;
    float:left;
    min-width:550px;
    background: -webkit-linear-gradient(bottom left, rgba(38,41,55,0.9) 0%, rgba(71,76,97,0.9) 100%) fixed;
}
    
.head{
	height:80px;
}

.tab {	
	display:inline-block;
	height:35px;
	min-width:140px;
	padding:15px 0% 10px 0;
	margin-left:1%;
	border-bottom: 5px solid #FFF;
	opacity: 0.3;
	cursor: pointer;
}

.tab input[type="checkbox"].small{
	vertical-align: middle;
	transform: scale(0.8);
}


.ui-helper-hidden-accessible{
	background: black;
	color:yellow;
	position: fixed;
    bottom: 0%;
    width: 100%;
    opacity: 0.8;
    padding:1%;
}


/*PARTS*/

.motors{
	float:left;
	/*background:black;*/
	padding: 0% 0% 0% 0%;
	width:42%;
	margin-left: 1%;
	height:100%;
	overflow:auto;
}

.allMotors{
	/*margin-top:82px;*/
}

.motors-settings{
    /*margin-top:82px;*/
    display: none;
}

.animations{
	z-index: 1;
    display: block;
    float: left;
    left: 48%;
    padding: 0px 1% 1%;
    width: 50%;
    height: 90vh;
    /*max-height: 100%;*/
    overflow: auto;
    position: absolute;
	margin-top: 65px;
}

.sensors{
	position:relative;
	left:0;
	/*top:0;*/	
	display:none;
	float: left;
    left: 48%;
    padding: 1%;
    padding-top: 0px;
    width: 50%;
    height: 90vh;
    /*max-height: 100%;*/
    overflow: hidden;
    position: absolute;
    margin-top: 65px;
}

.script-panel{
	position:relative;
	left:0;
	/*top:0;*/	
	display:none;
	float: left;
    left: 48%;
    padding: 1%;
    padding-top: 0px;
    width: 50%;
    height: 100%;
    max-height: 100%;
    overflow: auto;
    position: absolute;
    margin-top: 65px;
}







/*GLOBAL ELEMENTS*/


input[type="checkbox"]{
	-webkit-appearance: none;
    width: 20px;
    height: 20px;
    vertical-align: middle;
    padding: 2px 0px 0px 1px;
    background:rgba(255,255,255,0.2);
    margin-top: 0px;
    margin-right: 10px;
    width:35px;
	height:35px;
	border-radius:40px;
	color:white;
    transition:background 300ms ease-in;
    cursor:pointer;
}

input[type="checkbox"]:hover{
	background:rgba(255,255,255,0.3);
    transition:background 300ms ease-in;
}

input[type="checkbox"]:checked{
	background:#00FF99;
}


meter{
	/*-webkit-appearance:none;*/
	height:20px;
	vertical-align: middle;
	/*width:25%;*/
}

meter::-webkit-meter-bar {
  background: none; /* Requi#FF1862 to get rid of the default background property */
  background-color: transparent;

  border:2px solid white;
  border-radius:10px;
}

meter::-webkit-meter-optimum-value{
	background:rgba(255, 255, 255, 0.3);
	border-radius:10px;
}

meter.active::-webkit-meter-optimum-value{
	background:rgba(0,255,153,1);
	border-radius:10px;
}

meter.active::-webkit-meter-bar{
	border:2px solid rgba(0,255,153,0.5);
	border-radius:10px;
}


/*CHECKBOX ON/OFF*/
/*SMALL*/
input[type="checkbox"].small{
	border:none;
	color:white;
	width:20px;
	height:20px;
	cursor:pointer;
	vertical-align: -webkit-baseline-middle;
	-webkit-transition: 300ms ease-out;
  	transition: 300ms ease-out;
}

input[type="checkbox"].small:checked{
	background:#00FF99;
}

/*INPUT TEXT*/
input[type="text"] {
	border:none;
	border-bottom:1px dashed rgba(255,255,255,0.05);
	background:none;
	padding-bottom:5px;
	margin-bottom:10px;
	font-size: 16px;
	color:white;
	display:inline-block;
	vertical-align: -webkit-baseline-middle;
}

input[type="text"]:hover{
	border-bottom: 1px dashed rgba(255,255,255,0.4);
}

input[type="text"]:focus{
	border-bottom: 1px dashed white;
}

input[type="text"].tiny{
	font-size: 12px;
}

/*INPUT NUMBER*/

input[type="number"]{
	display: inline-block;
    border: none;
    /* border: 2px solid rgba(255,255,255,1); */
    background: rgba(255,255,255,0.05);
    border-radius: 25px;
    padding-left: 10px;
    font-size: 13px;
    height: 35px;
    color: white;
    margin-right: 1%;
    margin-top: -10px;
    vertical-align: -webkit-baseline-middle;
    transition:background 800ms ease-out;
}

input[type="number"]:hover, input[type="number"]:focus{
	transition:background 600ms ease-in;
    background: rgba(255,255,255,0.3);
}

input[type="number"]:focus{
	/*transform: scale(1.05);*/
	/*transition:transform 100ms ease-in;*/
}

/*INPUT NUMBER SMALL*/
input[type="number"].small{
    font-size: 10px;
    height: 20px;
}

input[type="number"].tiny{
    font-size: 10px;
    height: 20px;
    margin-top: 0px;
}





button.disconnected {
	content:"assets/power_icon.svg";
	/*background:#404040;*/
	border:2px solid white;
}
button:disabled {
	content:"WAIT";
	/*background:#404040;*/
	border:2px solid white;
}

input[type="checkbox"].btnGlobalMotor, input[type="checkbox"].btnGlobalAnim, input[type="checkbox"].btnGlobalSensors, input[type="checkbox"].btnGlobalScript{
	/*border: 1px solid #FF1862;*/
	color:#FFF;
    width: 70px;
	text-align: center;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    font-size: 8px;
    /*font-weight: 700;*/
    /*background:none;*/
}

input[type="checkbox"].btnGlobalMotor:hover, input[type="checkbox"].btnGlobalAnim:hover, input[type="checkbox"].btnGlobalSensors:hover, input[type="checkbox"].btnGlobalScript:hover{
	background:#FF1862;
}

input:checked.btnGlobalMotor:hover, input:checked.btnGlobalAnim:hover, input:checked.btnGlobalSensors:hover, input:checked.btnGlobalScript:hover{
	background:#FFF;
}

input[type="checkbox"].btnGlobalMotor:before, input[type="checkbox"].btnGlobalAnim:before, input[type="checkbox"].btnGlobalSensors:before{
	content:"STOP ALL";
}


input[type="checkbox"].btnGlobalScript:before{
	content:"STOPPED";
}


input:checked.btnGlobalMotor, input:checked.btnGlobalAnim, input:checked.btnGlobalSensors, input:checked.btnGlobalScript{
	border: 0px solid #FF1862;
}


input:checked.btnGlobalMotor:before, input:checked.btnGlobalAnim:before, input:checked.btnGlobalSensors:before{
	content:"ACTIVE ALL";
	color: #333647;
	border: 0px solid #FF1862;
}

input:checked.btnGlobalScript:before{
	content:"RUNNING";
	color: #333647;
	border: 0px solid #FF1862;
}




input.power:before, input.osc-btn:before, input.midi-btn:before, input.CM9-btn:before{
	content:"OFF";
	content:url('../assets/power_icon.svg');
	width:70%;
	height:70%;
	display: inline-block;
	padding: 15%;
	text-align: left;
}

input.osc-btn:before{
	content:"OSC";
	text-align: left;
	padding: 9px 7px 0px 4px;

}

input.CM9-btn:before{
	content:"CM9";
	text-align: left;
	padding: 9px 7px 0px 4px;

}

input.midi-btn:before{
	content:"midi";
	text-align: left;
	padding: 9px 7px 0px 4px;
}


input:checked.power:before{
	content:"ON";
	content:url('../assets/power_icon.svg');
	width:70%;
	height:70%;
	display: block;
	padding: 15%;
	text-align: center;
}

button.reset{
	width: 35px;
    height: 35px;
    position: relative;
    left: 0%;
    top: 0%;
    border-radius: 100%;
    margin-bottom: -35px;
    border:0px;
}



button.set{
	width: 35px;
    height: 35px;
    position: relative;
    left: calc(27% - 55px);
    top: 0%;
    border-radius: 100%;
    margin-bottom: -35px;
    border:0px;
}

button.reset img, button.set img{
	width:16px;
	padding-top:1px;
}

input.rec{
	padding: 10px 0px 0px 0px;
}

input.init:before{
	content:"REC";
	display: block;
    text-align: center;
}

input:checked.rec{
	background:#FF1862;
}

input:checked.rec:before{
	content:"REC";
	display: block;
    text-align: center;
}


.script-panel .ctrl-row input[type="text"]{
	margin-top:5px;
}




/*STATUS*/
.connected {
	background:#00FF99;
	border:none;
}

.error{
	background:#FF7F52!important;
	border:none;
}

.valid{
	border:2px solid #00FF99;
	color:#00FF99;
}

.stop{
	border:2px solid #FF1862;
	color:#FF1862;
	opacity: 0.5;
}


::-webkit-input-placeholder {
    color: white !important;
}


.ctrl-row{
	margin-top:15px;
	height:45px;
	display: block;
}

.script-panel div:nth-child(2){
	margin-top: 0px;
}

.mask {
  -webkit-mask-image: url(../assets/mask.svg);

}

.tiny{
	width:10%;
	height:25px;
}

.large{
	width:100%;
}

.medium-75{
	width:75%;	
}

.medium{
	width:50%;
}

.small{
	width:30%;
}


.float-right{
	float:right;
}

.float-right::after{
	clear:both;
}

.float-left{
	float:left;
}

.text-left{
	text-align: left;
	display:inline-block;
	vertical-align: -webkit-baseline-middle;
}

.text-right{
	text-align: right;
	display:inline-block;
	vertical-align: -webkit-baseline-middle;
}
.text-center{
	text-align: center;
	display:inline-block;
}

.hide{
	display:none;
}

.show{
	display:block;
}

.clear{
	clear:both;
}

section{
	background: rgba(0,0,0,0.2);
    padding: 5%;
    border-radius: 10px;
}

textarea{
	border-radius: 5px;
	color:white;
	border: 1px solid white;
	background:rgba(255,255,255,0.2);
	padding: 5%;
    width: 88%;
}



select{
	color:white;
	-webkit-appearance: none;
	display:inline-block;
	height:35px;
	border-radius: 5px;
	border:0px;
	padding-left:2%;
	background: url(../assets/select-arrow.svg) no-repeat 95%;
	background-size: 5%;

	background-color:rgba(0,0,0,0.1);
	cursor: pointer;
	vertical-align: -webkit-baseline-middle;
	transition:background 800ms ease-out;

}

select.small{
	background: url(../assets/select-arrow.svg) no-repeat 90%;
	background-size: 10%;
}

select:hover{
	background-color:rgba(0,0,0,0.3);
	transition:background 300ms ease-in;
}

select.tiny{
	height:20px;

}

button{
	/*margin-top:10px;*/
	-webkit-appearance: none;
	background:none;
	display:block;
	height:35px;
	text-transform: uppercase;
	color:white;
	border-radius: 8px;
	cursor: pointer;
	vertical-align: middle;
	display:inline-block;
	cursor: pointer;
	border:2px solid rgba(255, 255, 255, 1);
	opacity:0.9;
    transition:opacity 800ms ease-out;

}

.ctrl-row button{
	min-width: 80px;
	margin-left: 5px;
    margin-right: 5px;
    padding: 0px 10px 0px 10px;
    font-size: 10px;
	height:30px;
}

.motors .ctrl-row{
	margin-top:80px;
}

button:hover{
	opacity:1;
	transition:opacity 300ms ease-in;

}

/*REC BUTTONS*/
.start-rec, .start-rec:disabled{
	padding: 0px 15px;
	text-transform: uppercase;
	color:#FF1862;
	border:2px solid rgba(255, 24, 98, 0);
	transition:all 300ms ease-out;
	-webkit-animation: blinker infinite cubic-bezier(1.0,0,0,1.0) 0s; 
	border:2px solid rgba(255, 24, 98, 1);
}

.start-rec:after{
	content:"";
	width:12px;
	height:12px;
	background:#FF1862;
	border-radius:20px;
	display:inline-block;
	margin-left:15px;
	margin-right:5px;
	vertical-align: text-bottom;

}

@-webkit-keyframes blinker {  
  from { opacity: 1.0; }
  to { opacity: 0.4; }
}





/*GEAR BUTTON*/


.gear{
	display:inline-block;
	color:white;
	-webkit-appearance: none;
	border:0px;
	background:none;
	opacity: 0.6;
	width:22px;
	height:22px;
	vertical-align: middle;
	cursor:pointer;
	/*overflow:auto;*/
}

.gear img{
	width:100%;
	height:auto;
}

.gear:hover{
	opacity:1;
}

.gear:hover img{
	-webkit-animation: rotating 5s linear infinite;
	  -moz-animation: rotating 5s linear infinite;
	  -ms-animation: rotating 5s linear infinite;
	  -o-animation: rotating 5s linear infinite;
	  animation: rotating 5s linear infinite;
}



/*CONNEXION*/

.connexions{
	float:left;
	background: #232532;
	background: -webkit-linear-gradient(-45deg, rgba(35,37,50,1) 0%,rgba(35,37,50,1) 14%,rgba(35,37,50,0.65) 100%);
	width:4%;
	height:100%;
	z-index:1000; 
	overflow: scroll-y;
}

.connexions input.small{
	margin:15% 0 0 30%;
	display:block;
}

.connexions h2{
    transform: rotate(-90deg) translate(0px, -125%);
    position: absolute;
    bottom: 5%;
    z-index: -1;
}

.connexions .plug{
	color:white;
    display: block;
    height:10%;
    min-height:80px;
    border-top:1px solid #2F3242;
}

.connexions .plug .content{
	visibility: hidden;
	background:rgba(47, 49, 67, 0.95);
	position: absolute;
    left: 4%;
    border:1px solid #FFF;
    border-radius: 0px 10px 10px 0px;
    border-left:0px;
    padding: 1%;
    margin-top: -1px;
    padding-top: 0%;
    width: 35%;
    max-height:300px;
    overflow:auto;
    box-shadow: 10px 0px 15px rgba(0,0,0,0.2);
    z-index: 10000000;
    opacity:0;
	transition : opacity 200ms ease-in;
}

.connexions .plug .content input.small{
	margin: 0px;
	display:inline-block;
	vertical-align: top;
}

.connexions .plug:hover{
	border-top:1px solid #FFF;
	background:rgba(52, 55, 75, 0.70);
}
.connexions .plug:hover .content{
	visibility:visible;
	opacity:1;
	transition : opacity 100ms ease-in;
}


.connexions p{
	font-size: 8pt;
    text-align: center;
    margin: 0;
    height: 0px;
    transform: rotate(-90deg) translate(-70%, -25px);
}





/*/////////////*/

/*MOTORS*/

.single-motor{
	color:white;
	/*border-bottom:dashed white 2px;*/
	/*border-radius: 25px;*/
	padding:3% 1% 2% 2%;
	margin:1% 0 0% 0%;
	clear: both;
	width: 96%;
	height: 85px;
    float: inherit;
    background:rgba(255, 255, 255, 0.2);
	border-radius: 10px;
}

.single-motor:last-child{
	margin-bottom: 10%;
}


.single-motor:nth-child(2n+1){
	background:rgba(255,255,255,0.1);
}


.single-motor .left-col{
	float:left;
	width:28.6%;
}

.single-motor .left-col input[type="checkbox"]{
	float:left;
}


.single-motor .left-col .identity{
	clear:both;
}

.single-motor .left-col .motor-index{
	float:left;
}

.identity{
	font-size: 22px;
    margin-left: 5%;
    margin-top: 15px;
    opacity: 0.5;
}

.identity .set-value{
	display:inline-block;
}


.ico-thermo{
	width:16px;
	float:right;
	margin-right:0%;
	margin-top:6%;
}


.thermo{
	margin-bottom: 10px;
	color:#99FF00;
	font-size: 12px;
	float:right;
	margin-top:6%;
}


.single-motor .circle{
	float:left;
	width:25%;
	margin-left:7%;
}


/*SVG*/

.circle .rotAngle{
	width:75%;
	max-width: 90px;
	height:80px;
	overflow:visible;
	/*display:none;*/
}

.circle .rotSpeed{
	/*display:none;*/
	width:75%;
	max-width: 90px;
	height:80px;
	overflow:visible;
}


.circle svg path{
	fill:rgba(255, 255, 255, 0.2);
	stroke:white;
	stroke-width:0px;
}


.circle svg line{
	stroke:rgb(255, 255, 255)!important;
}

.circle svg line:last-child{
	stroke:rgb(0, 0, 0)!important;
}

.circle text{
	fill:white!important;
	-webkit-transform: translate(75px, -20px);
  	-ms-transform: translate(75px, -20px);
  	transform: translate(75px, -20px);
  	font-size: 35px;
    font-weight: 100;
    text-anchor: inherit;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif!important;
}


.single-motor h3{
	color: white;
    font-size: 11px;
    float:right;
    letter-spacing: 1px;
    font-weight: 700;
    display: inline-block;
    padding: 1% 3%;
    margin: 0 5% 1% 0;
    border-radius: 6px;
	background:rgba(255, 255, 255, 0.3);
    text-transform: uppercase;

}

.single-motor.wheel-motor{
	background:rgba(191, 166, 80, 0.1);
}

.single-motor.wheel-motor h3{
	background:rgba(255, 197, 12, 0.5);
}

.single-motor.joint-motor{
	background:rgba(81, 188, 202, 0.1);
}

.single-motor.joint-motor h3{
	background:rgba(0, 227, 255, 0.5);
}

.single-motor.wheel-motor label{
	color: #FEC500;
}

.single-motor.joint-motor label{
	color: #20E3FF;
}



/*MOTORS ADVANCED*/




.motors-settings .single-motor:last-child{
	margin-bottom:15%;
}

.motors-settings .left-col{
	width:17%;
}

.motors-settings .identity{
	float:left;
	font-size: 16px;
	width:100%;
	margin:0px;
	opacity: 1;
}

.motors-settings label{
	font-weight: 100;
	letter-spacing: 3px;
	vertical-align: -webkit-baseline-middle;
}


.motors-settings .advanced{
	width:80%;
	float:left;
	margin-bottom: 15px;
}


.motors-settings ul{
	list-style: none;
	padding: 0%;
	margin-top: 0%;
	margin-left:5%;
}

.motors-settings li{
	display: inline-block;
    width: 24%;
    padding-bottom: 0%;
	float:left;
}

.motors-settings li input[type="number"]{
	width:70%;
}


.motors-settings li:nth-child(n){
	color:#1CE3FF;
}

.motors-settings li:nth-child(n+3){
	color:#FEC500;
}


.motors-settings li label{
	font-size: 7pt;
    text-align: left;
    margin-left: 4%;
    margin-top: 3%;
    font-weight: 300;
    letter-spacing: 1px;
    width: 100%;
    display: block;
}


.motors-settings .properties{
    margin-right: 10%;
}


.motors-settings .midi-setting{
	display: inline-block;
	width: 37%;
    margin-top: 4%;
    margin-left: 4%;
    margin-right: 4%;
    margin-bottom: 2%;

}

.number-for-motor{
	border: 2px solid black;
    background: none;
    vertical-align: middle;
    text-align: center;
    border-radius: 5px;
    padding: 7px;
    font-size: 16px;
    color: black;
    width: 20%;
    display: block;
}

/*Didier*/
.num_rotary{
    vertical-align: middle;
    text-align: center;
    font-size: 16px;
	width: 28%;
    display: block;
    border: none;
    background: rgba(255,255,255,0.3);
    border-radius: 25px;
    padding-left: 10px;
    margin-top: 2%;
    height: 35px;
    color: white;
}



input.motor-none:before{
	content:"-";
	display: block;
	padding: 9px 2px 0px 0px;
	text-align: center;
}
input.motor-none{
	background:transparent;
	border:white 2px solid;
}
/*! no check !*/


input:checked.motor-angle{
	background:#1CE3FF;
	border:#1CE3FF 2px solid;
}

input.motor-angle:before{
	content:"J";
	display: block;
    padding: 9px 2px 0px 0px;
    text-align: center;
}

input.motor-angle{
	background:transparent;
	border:white 2px solid;
}

input:checked.motor-speed{
	background:#FEC500;
	border:#FEC500 2px solid;
}

input.motor-speed:before{
	content:"W";
	display: block;
    padding: 9px 2px 0px 0px;
    text-align: center;
}

input.motor-speed{
	background:transparent;
	border:white 2px solid;
}



/*For record Anim*/
/*Record State*/
.recordSettings input:checked.motor-angle, .recordSettings input:checked.motor-speed, .recordSettings input:checked.motor-none{
	background:#FF1862;
}




/*left side*/

.left-side h2{
	display:inline-block;
	cursor:pointer;
	margin-right:1%;
	margin-left: 1%;
	margin-top: 20px;
}

#sens{
	/*opacity:0.3;*/
}



/*//////////////////*/
/*Animation*/


.modalNewMotor, .modalNewAnim{
	background:rgba(49, 52, 71, 0.95);
	box-shadow: 0px 0px 50px 20px rgba(0,0,0,0.3);
	-webkit-backdrop-filter: blur(10px);
	border-radius: 10px;
	z-index: 100000;
	width:300px;
	height:500px;
	position: absolute;
	top:10%;
	left:40%;
	color: white;
	padding:1%;
	display: none;
}

.listMotorType, .listAnimType{
	overflow:auto;
	height:340px;
}

.listMotorType span, .listAnimType span{
	width:96%;
	height:20px;
	padding:4% 0% 4% 4%;
	margin-top: 1%;
	color: white;
	font-size: 16px;
	display: block;
	background:rgba(0, 0, 0, 0.2);
	border-radius: 10px;
	cursor: pointer;
	-webkit-transition: 300ms ease-out;
    transition: 300ms ease-out;
}

.listMotorType span:hover, .listAnimType span:hover{
	background:rgba(255, 255, 255, 0.1);
}

.modalNewMotor button, .modalNewAnim button{
	margin-top: 3%;
}

.modalNewMotor button:first-of-type, .modalNewAnim button:first-of-type{
	opacity: 0.3;
}


.animations ul{
	padding:0;
	margin:0;
	list-style: none;
}


button.load{
	float:right;
}

.single-anim{
	cursor:move;
	width:97%;
	margin-left:0%;
	background:rgba(0,0,0,0.2);
	padding:2%;
	margin-bottom:1%;
	border-radius: 10px;
}

.single-anim h3{
	color: white;
    font-size: 8px;
    letter-spacing: 1px;
    font-weight: 700;
    display: table;
    padding: 6px 0px 3px 0px;
    margin: 0 3% 1% 0;
    float:left;
    border-radius: 6px;
	background:rgba(255, 255, 255, 0);
    text-transform: uppercase;
    border-radius: 0px;
    border-bottom: 2px solid;
}

.single-anim .ctrl-row{
	margin:0;
	height: 30px;
	width: 35%;
	float:right;
	margin-top:-60px;
}
/*
.sinus-anim .ctrl-row{
	margin-top:-85px;
}


.random-anim .ctrl-row{
	
}*/

.single-anim .ctrl-row .info{
	display:inline-block;
	min-width: 90px;
    margin-right: 10px;

}


.single-anim .ctrl-row .info input[type="number"].tiny{
	width: 33px;
    padding: 0px 0px 0px 5px;
}


.record-anim{
	background:rgba(20,0,0,0.2);
}

.sinus-anim{
	background:rgba(0,0,20,0.2);
}

 .random-anim{
 	background:rgba(0,20,20,0.2);
 }


 .trigger-anim{
 	background:rgba(20,20,0,0.2);
 }

/*.single-anim:nth-child(2n+1){
	background:rgba(0,0,0,0.3);
}*/

.single-anim:last-child{
	margin-bottom:100px;
}

.single-anim meter{
	width:19%;
	float:right;
	margin-top:8px;
}


.record-anim .anim-motors{
	display: none;
}

.shorcut {
	border:2px solid white;
	background:none;
	vertical-align: middle;
	text-align: center;
	border-radius:5px;
	padding:5px;
	font-size: 16px;
	color:white;
	width:3%;
	display:inline-block;
}




.controls{
	display:inline-block;
	margin-left: 25px;
}

.load, .controls button, .controls input{
	-webkit-appearance: none;
	border:0px;
	background:none;
	background-size: 90%;
    background-position: center center;
    background-repeat: no-repeat;
	opacity: 0.6;
	width:35px;
	height:35px;
	vertical-align: middle;
	cursor:pointer;
	transition:all 300ms linear;
}

.load {
	width:35px;
	position: absolute;
    right: 2%;
    top: 4%;
}


.load img, .controls button img{
	width:100%;
	height:auto;
}

.load:hover, .controls button:hover, .controls input:hover{
	opacity:1;
	background:none;
	background-size: 90%;
    background-position: center center;
    background-repeat: no-repeat;
	transition:all 300ms linear;

}

/*checkbox loop animation*/
.controls input[type="checkbox"]{
	background-image: url(../assets/loop.png);
}


.controls input[type="checkbox"]:checked{
	background:none;
	background-image: url(../assets/loop-green.png);
	background-size: 90%;
    background-position: center center;
    background-repeat: no-repeat;
	opacity: 1;
}


.ui-dialog {
	background-color: rgba(128,128,128,1.0);
	border: 2px solid rgba(0,0,0,1.0);
}
.ui-dialog .ui-dialog-titlebar{
	font-weight: bold;
	text-align: center;
}
.ui-dialog .ui-dialog-titlebar-close{
	position: absolute;
	right: .3em;
}

.advDialog{
	appearance: normal;
	/*-webkit-appearance:none;*/

	/*display: inline-block;*/
	background-color: rgba(128,128,128,1.0);
	/*border: 2px solid rgba(0,0,0,1.0);*/

	margin: 0px;
	padding:20px;
}
.no-close .ui-dialog-titlebar-close{
	display: none;
}




/*SENSORS*/

.single-sensor{
	cursor:move;
	width:96%;
	height: 80px;
	float:left;
	margin-left:0%;
	padding:2%;
	margin-bottom:3%;
	/*margin-top:-2%;*/
	/*margin-right:1%;*/
	background:rgba(0, 0, 0, 0.2);
	border-radius: 10px;
	list-style-type: none;
	overflow: hidden;
}


.single-sensor.activ{
	background:rgba(255, 255, 255, 0.1);
}



.single-sensor input[type="text"]{
	margin: 1% 0%;
    width: 70%;
    text-align: left;
}

.single-sensor .close{
	margin-top: 0px;
    margin-right: 0px;
}


.sensors ul{
	padding:0px;
	width:45%;
	float: left;
	margin-top: 0.5%;
	overflow-y: auto;
	overflow-x: hidden;
	max-height: 90%;
	position:relative;
}


.sensor-setting{
	width: 100%;
    position: relative;
    top: 85%;
    height:100px;
}

.sensor-setting-more{
	width:49%;
	float: left;
	padding:2%;
	max-height: 85%;
	overflow-y: auto;
	overflow-x: hidden;
	margin-top: 0.5%;
	margin-left: 1%;
	background:rgba(255, 255, 255, 0.1);
	border-radius: 10px;
}

.sensor-setting-more ul{
	width: 100%;
	margin-top: 0%;
}

.sensor-setting-more ul li{
	display: block;
}


.live-value-ui{
	display: block;
    float: left;
    width: 100%;
    position: relative;
    left: 0%;
    top: -93px;
    color: rgba(0,255,153,1);
    font-size: 50px;
    text-align: left;
    height:29px;
}



.green-bar{
	background: rgba(0,255,153,0.5);
	height:1px;
	position: relative;
	top:-2px;
}

.sensor-setting-more .green-bar{
	top:70px;
}


.live-view, .filters{
	border-top:1px solid #717481;	
	border-bottom:1px solid #717481;
	height:85px;
	width: 104%;
	margin-left:-4%;
	margin-top:10px;
	margin-bottom:10px;
	padding: 2%;
}


.filters {
	height:auto;
	border-bottom:none;
}

.live-view .info img{
	position: relative;
	top:3px;
	cursor: pointer;
}

.live-view .live-value-ui{
	top:-35px;
}


.live-view .live-value-ui.grey{
	top:-5px;
	left:10%;
	color: rgba(150,150,150,0.6);
}



.select-anim-1, .select-anim-2{
	float:left;
	width:50%;
}

.select-anim-1 .listAnims-1{
	background:rgba(61, 188, 255, 0.5);
	background:rgba(83, 84, 255, 0.2);
	width:100%;
	border: 2px rgba(83, 84, 255, 1.00) solid;
	border-radius: 25px 0px 0px 25px ;
	border-right: white 1px solid;
	padding-left:10px;
}


.select-anim-2 .listAnims-2{
	background:rgba(61, 188, 255, 0.5);
	background:rgba(83, 84, 255, 0.2);
	width:100%;
	border: 2px rgba(83, 84, 255, 1.00) solid;
	border-radius: 0px 25px 25px 0px ;
	border-left: white 1px solid;
	padding-right:10px;
	text-align: right;
    text-align-last: right;
}

.select-anim-1 .active, .select-anim-2 .active{
	background:rgba(61, 188, 255, 1);
	background:rgba(83, 84, 255, 1.00);

}


.ui-widget-content{
	background:rgba(255,255,255,0);
	border:white 0px solid;
	border-radius: 100px;
}


.single-sensor:last-child{
	margin-bottom:100px;
}



.tolerance-ui{
	position:relative;
	background:rgba(255,255,255,0.3);
	top:0px;
	height: 35px;
	border-radius: 60px;
	display:block;
	width:10%;
}

.tolerance{
	position: relative;
	border:none;
    /*border: 2px solid rgba(255,255,255,1);*/
    background: rgba(255,255,255,0.3);
    border-radius: 25px;
    color:white;
    width: 15%;
    margin-bottom: 5%;
}

.live-value{
	display:block;
	width:120%;
	float:left;
	color:rgba(0,255,153,1);
	/*padding:10% 0 1% 0;*/
	font-size: 32px;
	font-weight: 100;
	text-align: center;

}



.ui-state-active{
	background:rgba(0,255,153,1);
}


.minV{
	/*float:left;*/
	/*width:25%;*/
	font-size: 12px;
	color:white;
	font-weight: 100;
	position:relative;
	top:-58px;
}

.maxV{
	/*float:right;*/
	/*width:25%;*/
	font-size: 12px;
	color:white;
	font-weight: 100;
	text-align: right;
	position:relative;
	top:-70px;
}


.currentV{
	/*float:left;*/
	/*width:50%;*/
	position:relative;
	font-size: 18px;
	margin-top: -3%;
    margin-bottom: -2%;
	color:white;
	font-weight: 100;
	text-align: center
}



input.range-txt{
	-webkit-appearance: none;
	border:none;
	background:transparent;
	color:white;
	margin-bottom: 5px;
    width: 100%;

}

.motor-index{
	display: block;
    font-size: 40px;
    color: white;
    font-weight: 700;
    margin-top:-5px;
    opacity: 0.6;
    /*position: relative;
    top: -10px;
    opacity: 0.05;
    left: 70%;
    height: 0px;
    width: 0px;*/
}

.midi-blinker{
	color:#5354FF;
	-webkit-animation: blinker infinite cubic-bezier(1.0,0,0,1.0) 300ms;
	position:relative;
	left: -3px;
    top: -20px;
    height: 0px;
    width: 0px;
    font-size: 30px;
    cursor:pointer;
}

.record-blinker{
	color:#ED1B60;
	position:relative;
	left:97%;
    top: -20px;
    height: 0px;
    width: 0px;
    font-size: 30px;
    cursor:pointer;
}

/*Add during recording*/
.recording-dot{
	-webkit-animation: blinker infinite cubic-bezier(1.0,0,0,1.0) 300ms;
}




.moreSensorSetting{
	-webkit-appearance: none;
    border: none;
    width: 35px;
    height: 35px;
    color: white;
    cursor: pointer;
    -webkit-transition: 300ms ease-out;
    transition: 300ms ease-out;
    background: transparent;
    opacity:0.6;
}

.moreSensorSetting:hover{
    opacity:1;
}


.moreSensorSetting:hover img, button.advanced:hover img, .gear:hover img{
	-webkit-animation: rotating 5s linear infinite;
	  -moz-animation: rotating 5s linear infinite;
	  -ms-animation: rotating 5s linear infinite;
	  -o-animation: rotating 5s linear infinite;
	  animation: rotating 5s linear infinite;
}

@-webkit-keyframes rotating /* Safari and Chrome */ {
  from {
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes rotating {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

h3{
	font-weight: 100;
	margin-top: 5px;
}

.moreSensorSetting img{
	width: 20px;
    height: 20px;
}




.single-sensor h3{
	display: inline-block;
	float: left;
	width: 47%;
    margin: 3% 0 0 2%;
    font-size: 13px;
    letter-spacing: 2px;
}


#sortable-sens-output li{
	cursor: move;
}

#sortable-sens-output section{
	background:rgba(255, 255, 255, 0.1);
}



.sensor-setting-more .OSC-setting{
	display: inline-block;
    border: none;
    background: rgba(255,255,255,0.3);
    border-radius: 25px;
    padding-left: 10px;
    font-size: 13px;
    height: 35px;
    color: white;
    width: 30%;
    margin-top: 4%;
    margin-left: 4%;

}

.sensor-setting-more section{
    display: block;
    min-height: 28px;
    text-align: left;
    width: 96%;
    margin: 2% 0% 0% 0%;
    padding: 2%;
}


.sensor-setting-more section.hight{
    height: 80px;
}

.sensor-setting-more section.animation{
    height: 160px;
}

.sensor-setting-more section input.cmdOnOff{
	float:left;
	margin-top: 1%;
}

.sensor-setting-more section h4{
	margin-top:3%;
	/*float:left;*/
	display:flex;
	/*width:70px;*/
}

.info{
	word-wrap: break-word;
	white-space: nowrap;
	font-size: 10px;
	color:rgba(255,255,255,0.5);
	/*width: 80%;*/
    display: inline-block;
}

.sensor-setting-more .midi select {
	margin:0px;
}


/*End slider midi*/

.sensor-setting-more .full{
	width: 60%;
}

h4{
	margin:1% 0 1% 0;
	padding:0;
	font-size: 12px;
	font-weight: 100;
	letter-spacing: 2px;
	color:white;
}



.blury{
	filter: blur(10px);
	opacity:0.3;
	-webkit-transition: 300ms ease-out;
}

/*MODALE*/

.modale{
	background:rgba(49, 52, 71, 0.95);
	/*border:white 1px solid;*/
	box-shadow: 0px 0px 50px 20px rgba(0,0,0,0.3);
	-webkit-backdrop-filter: blur(10px);
	border-radius: 10px;
	z-index:100000;
	position:absolute;
	width:500px;
	/*height: 600px;*/
	padding:10px;
	padding-top: 20px;
	overflow:auto;
	color:white;
}

.close-modale{
	-webkit-appearance: none;
	border:0px;
	background:none;
	opacity: 0.6;
	width:20px;
	height:20px;
	vertical-align: middle;
	cursor:pointer;
	position: absolute;
    margin-top: -1%;
    margin-left: 92%;
}

.close-modale img{
	width:100%;
}

/***/
.context-box{
	position:fixed;
	width:80px;
	height:60px;
	margin-left: -100px;
	border-radius: 15px 0px 15px 15px;
	z-index: 10000;
	background:rgba(47, 49, 67, 0.95);
    border:1px solid #FFF;
    box-shadow: 10px 0px 15px rgba(0,0,0,0.2);
}

.context-box span{
	width:100%;
	height:20px;
	padding: 5px 0px 5px 0px;
	border-radius: 0px 0px 15px 15px;
	display: block;
	font-size: 12px;
	font-weight: 500;
    letter-spacing: 0.5px;
	color:#FFF;
	text-align: center;
	cursor: pointer;
	transition: background 200ms ease-out;
}

#sortable-sens-output .selected, .single-sensor.selected, .listAnimType .selected, .listMotorType .selected, .single-anim.selected{
	background: rgba(255,255,255,0.3);
}


.context-box span:hover{
	background: rgba(255,255,255,0.3);
}

.context-box span:first-child{
	border-radius: 15px 0px 0px 0px;
	border-bottom:1px solid #3B3E49;
	opacity: 0.2;
}

.context-box span:first-child:hover{
	border-radius: 15px 0px 0px 0px;

}


/*didier*/
.label100{
	display: inline-block;
	width: 100px;
	text-align: right;
}

.small20{
	width:20px;
	height:20px;
	border:0px;
	padding: 0px 0px 0px 0px;
	font-size: 12px;
	font-weight: 500;
	color:grey;
	text-align: center;
}
